> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/company-news-signal-api/check-company-recommendation-status.md).

# Check Company Recommendation Status

`GET /api/v1/company-recommendation/{RECOMMENDATION_ID} HTTP/1.1`

Replace RECOMMENDATION\_ID with the recommendation id that you received in response of posting the recommendation

**Response body**

```
{
            "status": "status_code",
            "message": "status_message",
            "matches":[
                   {
                        "id": "company_id",
                        "name": "company_name",
                        "domain": "company_domain"
                   }
            ]
}
                                        
```

| Status code                 | Description                                                                                                           |
| --------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| 201                         | Recommendation request is pending                                                                                     |
| 404                         | Invalid recommendation id                                                                                             |
| EXACT\_MATCH                | Exact match found for the recommended company name and the recommended company name is added in Intellizence database |
| REBRANDED\_MERGED\_ACQUIRED | The recommended company is been rebranded or merged or acquired.                                                      |
| MULTI\_MATCHES              | There are many matches exist for the recommended company name                                                         |
| INVALID                     | The recommended company name is invalid                                                                               |

| matches | <p>Array which contains:</p><ul><li>Intellizence company id, name and domain in case of EXACT\_MATCH and REBRANDED\_MERGED\_ACQUIRED</li><li>All matching company names and domains in case of MULTI\_MATCHES</li><li>Empty array in case of INVALID</li></ul> |
| ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intellizence.com/company-news-signal-api/check-company-recommendation-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
